> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/diagnostic/otp/{deviceId} > Get a one-time passcode to access a device ## OpenAPI ````json GET /v1/diagnostic/otp/{deviceId} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/diagnostic/otp/{deviceId}": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "Unique identifier for a specific device", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": 1000000 } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticOtpDeviceIdGetResponse" } } } } }, "description": "Get a one-time passcode to access a device" } } }, "components": { "schemas": { "v1DiagnosticOtpDeviceIdGetResponse": { "type": "object", "properties": { "passCode": { "type": "string", "example": 123456, "description": "six digit one-time passcode to access the device" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````